%define	oname	scid_vs_pc
%define	rname	scid

Summary:	Chess database
Name:		scidvspc
Version:	4.25
Release:	%mkrel 2
Group:		Games/Boards
License:	GPLv2
URL:		https://scidvspc.sourceforge.net
Source0:	https://sourceforge.net/projects/scidvspc/files/source/%{oname}-%{version}.tgz
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(zlib)
#Conflicts:	%%{rname}

%description
Scid (Shane's Chess Information Database) is a free chess database
application for Unix and Microsoft Windows operating systems.

Scid converts to and from PGN (Portable Game Notation) format, which
is the standard for text-based chess information exchange, but uses
its own fast compact format for storing files.

%prep
%autosetup -p1 -n %{oname}-%{version}

# Limit files permissions.
sed -e "s| -m 666| -m 664|g" -e "s|install ./engines|install -s -m 755 ./engines|g" \
    -i Makefile.conf
# Avoid conflict with system phalanx
sed -e "s|phalanx/phalanx \$(BINDIR)|phalanx/phalanx \$(BINDIR)/phalanx-%{name}|g" \
    -i Makefile.conf
sed -e "s|Name Phalanx|Name Phalanx-%{name}|g;s|Cmd .*phalanx|Cmd  phalanx-%{name}|g" \
    -i tcl/tools/analysis.tcl

%build
%set_build_flags
./configure BINDIR=%{_gamesbindir} SHAREDIR=%{_gamesdatadir}/%{name} CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"
%make_build

%install
%make_install BINDIR=%{buildroot}%{_gamesbindir} SHAREDIR=%{buildroot}%{_gamesdatadir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp icons/%{rname}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

find %{buildroot}%{_gamesdatadir}/%{name} -type d -exec chmod 755 {} +

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid vs. PC
Comment=Chess games database
Exec=%{_gamesbindir}/%{rname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;BoardGame;
EOF

# Licenses:
cp engines/phalanx/COPYING COPYING_phalanx
cp engines/toga/copying.txt COPYING_toga
cp src/polyglot/copying.txt COPYING_polyglot
cp src/tkdnd/license.terms COPYING_tkdnd
cp tcl/contrib/ezsmtp/license.txt COPYING_ezsmtp

%files
%license COPYING{,_phalanx,_toga,_polyglot,_tkdnd,_ezsmtp}
%doc doc/ChangeLog doc/CHANGES doc/README doc/THANKS doc/TODO doc/progref.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.25-2.mga10
+ Revision: 2234277
- Mageia 10 Mass Rebuild

* Thu Jan 23 2025 daviddavid <daviddavid> 4.25-1.mga10
+ Revision: 2140978
- new version: 4.25 (thanks to Aurelian R, mga#33956)

* Tue Mar 29 2022 umeabot <umeabot> 4.19-4.mga9
+ Revision: 1831787
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 4.19-3.mga8
+ Revision: 1516767
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 4.19-2.mga7
+ Revision: 1300944
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 4.19-1.mga7
+ Revision: 1221245
- Update to version 4.19

* Wed Sep 20 2017 cjw <cjw> 4.10-8.mga7
+ Revision: 1156236
- pass optflags to configure to fix debug packages
- patch1: fix print format errors

* Fri Feb 12 2016 umeabot <umeabot> 4.10-7.mga6
+ Revision: 958840
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 4.10-6.mga6
+ Revision: 886395
- rebuild for new tcl/tk 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 4.10-5.mga5
+ Revision: 747999
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 luigiwalser <luigiwalser> 4.10-3.mga4
+ Revision: 558628
- fix permissions of bitmaps directories

* Tue Oct 22 2013 umeabot <umeabot> 4.10-2.mga4
+ Revision: 545011
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 4.10-1.mga4
+ Revision: 500589
- new version 4.10

* Mon Jan 14 2013 umeabot <umeabot> 4.8-2.mga3
+ Revision: 381823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 4.8-1.mga3
+ Revision: 317214
- new version 4.8

* Thu Jul 26 2012 dams <dams> 4.7-1.mga3
+ Revision: 274518
- imported package scidvspc

